USE mysql;

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

USE ocsweb


--
-- Base de donnes: `ocsweb`
--

-- --------------------------------------------------------

--
-- Structure de la table `accesslog`
--

CREATE TABLE IF NOT EXISTS `accesslog` (
  `ID` int(11) NOT NULL auto_increment,
  `HARDWARE_ID` int(11) NOT NULL default '0',
  `USERID` varchar(255) default NULL,
  `LOGDATE` datetime default NULL,
  `PROCESSES` text,
  PRIMARY KEY  (`HARDWARE_ID`,`ID`),
  KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `accesslog`
--


-- --------------------------------------------------------

--
-- Structure de la table `accountinfo`
--

CREATE TABLE IF NOT EXISTS `accountinfo` (
  `HARDWARE_ID` int(11) NOT NULL default '0',
  `TAG` varchar(255) default 'NA',
  PRIMARY KEY  (`HARDWARE_ID`),
  KEY `TAG` (`TAG`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `accountinfo`
--


-- --------------------------------------------------------

--
-- Structure de la table `bios`
--

CREATE TABLE IF NOT EXISTS `bios` (
  `HARDWARE_ID` int(11) NOT NULL default '0',
  `SMANUFACTURER` varchar(255) default NULL,
  `SMODEL` varchar(255) default NULL,
  `SSN` varchar(255) default NULL,
  `TYPE` varchar(255) default NULL,
  `BMANUFACTURER` varchar(255) default NULL,
  `BVERSION` varchar(255) default NULL,
  `BDATE` varchar(255) default NULL,
  PRIMARY KEY  (`HARDWARE_ID`),
  KEY `SSN` (`SSN`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `bios`
--


-- --------------------------------------------------------

--
-- Structure de la table `config`
--

CREATE TABLE IF NOT EXISTS `config` (
  `NAME` varchar(50) NOT NULL default '',
  `IVALUE` int(11) default NULL,
  `TVALUE` varchar(255) default NULL,
  `COMMENTS` text,
  PRIMARY KEY  (`NAME`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `config`
--

INSERT INTO `config` VALUES('FREQUENCY', 0, '', 'Specify the frequency (days) of inventories. (0: inventory at each login. -1: no inventory)');
INSERT INTO `config` VALUES('PROLOG_FREQ', 24, '', 'Specify the frequency (hours) of prolog, on agents');
INSERT INTO `config` VALUES('IPDISCOVER', 2, '', 'Max number of computers per gateway retrieving IP on the network');
INSERT INTO `config` VALUES('INVENTORY_DIFF', 1, '', 'Activate/Deactivate inventory incremental writing');
INSERT INTO `config` VALUES('IPDISCOVER_LATENCY', 100, '', 'Default latency between two arp requests');
INSERT INTO `config` VALUES('INVENTORY_TRANSACTION', 1, '', 'Enable/disable db commit at each inventory section');
INSERT INTO `config` VALUES('REGISTRY', 1, '', 'Activates or not the registry query function');
INSERT INTO `config` VALUES('IPDISCOVER_MAX_ALIVE', 7, '', 'Max number of days before an Ip Discover computer is replaced');
INSERT INTO `config` VALUES('DEPLOY', 1, '', 'Activates or not the automatic deployment option');
INSERT INTO `config` VALUES('UPDATE', 1, '', 'Activates or not the update feature');
INSERT INTO `config` VALUES('GUI_VERSION', 0, '4100', 'Version of the installed GUI and database');
INSERT INTO `config` VALUES('TRACE_DELETED', 1, '', 'Trace deleted/duplicated computers (Activated by GLPI)');
INSERT INTO `config` VALUES('LOGLEVEL', 1, '', 'ocs engine loglevel');
INSERT INTO `config` VALUES('AUTO_DUPLICATE_LVL', 6, '', 'Duplicates bitmap');
INSERT INTO `config` VALUES('DOWNLOAD', 1, '', 'Activate softwares auto deployment feature');
INSERT INTO `config` VALUES('DOWNLOAD_CYCLE_LATENCY', 60, '', 'Time between two cycles (seconds)');
INSERT INTO `config` VALUES('DOWNLOAD_PERIOD_LENGTH', 10, '', 'Number of cycles in a period');
INSERT INTO `config` VALUES('DOWNLOAD_FRAG_LATENCY', 10, '', 'Time between two downloads (seconds)');
INSERT INTO `config` VALUES('DOWNLOAD_PERIOD_LATENCY', 0, '', 'Time between two periods (seconds)');
INSERT INTO `config` VALUES('DOWNLOAD_TIMEOUT', 30, '', 'Validity of a package (in days)');
INSERT INTO `config` VALUES('LOCAL_SERVER', 0, 'localhost', 'Server address used for local import');
INSERT INTO `config` VALUES('LOCAL_PORT', 80, '', 'Server port used for local import');

-- --------------------------------------------------------

--
-- Structure de la table `conntrack`
--

CREATE TABLE IF NOT EXISTS `conntrack` (
  `IP` varchar(255) NOT NULL default '',
  `TIMESTAMP` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`IP`)
) ENGINE=HEAP DEFAULT CHARSET=latin1;

--
-- Contenu de la table `conntrack`
--


-- --------------------------------------------------------

--
-- Structure de la table `controllers`
--

CREATE TABLE IF NOT EXISTS `controllers` (
  `ID` int(11) NOT NULL auto_increment,
  `HARDWARE_ID` int(11) NOT NULL default '0',
  `MANUFACTURER` varchar(255) default NULL,
  `NAME` varchar(255) default NULL,
  `CAPTION` varchar(255) default NULL,
  `DESCRIPTION` varchar(255) default NULL,
  `VERSION` varchar(255) default NULL,
  `TYPE` varchar(255) default NULL,
  PRIMARY KEY  (`HARDWARE_ID`,`ID`),
  KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `controllers`
--


-- --------------------------------------------------------

--
-- Structure de la table `deleted_equiv`
--

CREATE TABLE IF NOT EXISTS `deleted_equiv` (
  `DATE` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  `DELETED` varchar(255) NOT NULL default '',
  `EQUIVALENT` varchar(255) default NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `deleted_equiv`
--


-- --------------------------------------------------------

--
-- Structure de la table `deploy`
--

CREATE TABLE IF NOT EXISTS `deploy` (
  `NAME` varchar(255) NOT NULL default '',
  `CONTENT` longblob NOT NULL,
  PRIMARY KEY  (`NAME`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `deploy`
--


-- --------------------------------------------------------

--
-- Structure de la table `devices`
--

CREATE TABLE IF NOT EXISTS `devices` (
  `HARDWARE_ID` int(11) NOT NULL default '0',
  `NAME` varchar(50) NOT NULL default '',
  `IVALUE` int(11) default NULL,
  `TVALUE` varchar(255) default NULL,
  `COMMENTS` text,
  KEY `HARDWARE_ID` (`HARDWARE_ID`),
  KEY `TVALUE` (`TVALUE`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `devices`
--


-- --------------------------------------------------------

--
-- Structure de la table `devicetype`
--

CREATE TABLE IF NOT EXISTS `devicetype` (
  `ID` int(11) NOT NULL auto_increment,
  `NAME` varchar(255) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `devicetype`
--


-- --------------------------------------------------------

--
-- Structure de la table `dico_cat`
--

CREATE TABLE IF NOT EXISTS `dico_cat` (
  `NAME` varchar(255) NOT NULL default '',
  `PERMANENT` tinyint(4) default '0',
  PRIMARY KEY  (`NAME`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `dico_cat`
--


-- --------------------------------------------------------

--
-- Structure de la table `dico_ignored`
--

CREATE TABLE IF NOT EXISTS `dico_ignored` (
  `EXTRACTED` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`EXTRACTED`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `dico_ignored`
--


-- --------------------------------------------------------

--
-- Structure de la table `dico_soft`
--

CREATE TABLE IF NOT EXISTS `dico_soft` (
  `EXTRACTED` varchar(255) NOT NULL default '',
  `FORMATTED` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`EXTRACTED`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `dico_soft`
--


-- --------------------------------------------------------

--
-- Structure de la table `download_available`
--

CREATE TABLE IF NOT EXISTS `download_available` (
  `FILEID` varchar(255) NOT NULL default '',
  `NAME` varchar(255) NOT NULL default '',
  `PRIORITY` int(11) NOT NULL default '0',
  `FRAGMENTS` int(11) NOT NULL default '0',
  `SIZE` int(11) NOT NULL default '0',
  `OSNAME` varchar(255) NOT NULL default '',
  `COMMENT` text,
  PRIMARY KEY  (`FILEID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `download_available`
--


-- --------------------------------------------------------

--
-- Structure de la table `download_enable`
--

CREATE TABLE IF NOT EXISTS `download_enable` (
  `ID` int(11) NOT NULL auto_increment,
  `FILEID` varchar(255) NOT NULL default '',
  `INFO_LOC` varchar(255) NOT NULL default '',
  `PACK_LOC` varchar(255) NOT NULL default '',
  `CERT_PATH` varchar(255) default NULL,
  `CERT_FILE` varchar(255) default NULL,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `download_enable`
--


-- --------------------------------------------------------

--
-- Structure de la table `download_history`
--

CREATE TABLE IF NOT EXISTS `download_history` (
  `HARDWARE_ID` int(11) NOT NULL default '0',
  `PKG_ID` int(11) NOT NULL default '0',
  `PKG_NAME` varchar(255) default NULL,
  PRIMARY KEY  (`HARDWARE_ID`,`PKG_ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `download_history`
--


-- --------------------------------------------------------

--
-- Structure de la table `drives`
--

CREATE TABLE IF NOT EXISTS `drives` (
  `ID` int(11) NOT NULL auto_increment,
  `HARDWARE_ID` int(11) NOT NULL default '0',
  `LETTER` varchar(255) default NULL,
  `TYPE` varchar(255) default NULL,
  `FILESYSTEM` varchar(255) default NULL,
  `TOTAL` int(11) default NULL,
  `FREE` int(11) default NULL,
  `NUMFILES` int(11) default NULL,
  `VOLUMN` varchar(255) default NULL,
  PRIMARY KEY  (`HARDWARE_ID`,`ID`),
  KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `drives`
--


-- --------------------------------------------------------

--
-- Structure de la table `files`
--

CREATE TABLE IF NOT EXISTS `files` (
  `NAME` varchar(255) NOT NULL default '',
  `VERSION` varchar(255) NOT NULL default '',
  `OS` varchar(255) NOT NULL default '',
  `CONTENT` longblob NOT NULL,
  PRIMARY KEY  (`NAME`,`OS`,`VERSION`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `files`
--


-- --------------------------------------------------------

--
-- Structure de la table `hardware`
--

CREATE TABLE IF NOT EXISTS `hardware` (
  `ID` int(11) NOT NULL auto_increment,
  `DEVICEID` varchar(255) NOT NULL default '',
  `NAME` varchar(255) default NULL,
  `WORKGROUP` varchar(255) default NULL,
  `USERDOMAIN` varchar(255) default NULL,
  `OSNAME` varchar(255) default NULL,
  `OSVERSION` varchar(255) default NULL,
  `OSCOMMENTS` varchar(255) default NULL,
  `PROCESSORT` varchar(255) default NULL,
  `PROCESSORS` int(11) default '0',
  `PROCESSORN` smallint(6) default NULL,
  `MEMORY` int(11) default NULL,
  `SWAP` int(11) default NULL,
  `IPADDR` varchar(255) default NULL,
  `ETIME` datetime default NULL,
  `LASTDATE` datetime default NULL,
  `LASTCOME` datetime default NULL,
  `QUALITY` decimal(4,3) default '0.000',
  `FIDELITY` bigint(20) default '1',
  `USERID` varchar(255) default NULL,
  `TYPE` int(11) default NULL,
  `DESCRIPTION` varchar(255) default NULL,
  `WINCOMPANY` varchar(255) default NULL,
  `WINOWNER` varchar(255) default NULL,
  `WINPRODID` varchar(255) default NULL,
  `WINPRODKEY` varchar(255) default NULL,
  `USERAGENT` varchar(50) default NULL,
  `CHECKSUM` int(11) default '131071',
  PRIMARY KEY  (`DEVICEID`,`ID`),
  KEY `NAME` (`NAME`),
  KEY `CHECKSUM` (`CHECKSUM`),
  KEY `DEVICEID` (`DEVICEID`),
  KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `hardware`
--


-- --------------------------------------------------------

--
-- Structure de la table `inputs`
--

CREATE TABLE IF NOT EXISTS `inputs` (
  `ID` int(11) NOT NULL auto_increment,
  `HARDWARE_ID` int(11) NOT NULL default '0',
  `TYPE` varchar(255) default NULL,
  `MANUFACTURER` varchar(255) default NULL,
  `CAPTION` varchar(255) default NULL,
  `DESCRIPTION` varchar(255) default NULL,
  `INTERFACE` varchar(255) default NULL,
  `POINTTYPE` varchar(255) default NULL,
  PRIMARY KEY  (`HARDWARE_ID`,`ID`),
  KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `inputs`
--


-- --------------------------------------------------------

--
-- Structure de la table `locks`
--

CREATE TABLE IF NOT EXISTS `locks` (
  `HARDWARE_ID` int(11) NOT NULL default '0',
  `ID` int(11) default NULL,
  `SINCE` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`HARDWARE_ID`),
  KEY `SINCE` (`SINCE`)
) ENGINE=HEAP DEFAULT CHARSET=latin1;

--
-- Contenu de la table `locks`
--


-- --------------------------------------------------------

--
-- Structure de la table `memories`
--

CREATE TABLE IF NOT EXISTS `memories` (
  `ID` int(11) NOT NULL auto_increment,
  `HARDWARE_ID` int(11) NOT NULL default '0',
  `CAPTION` varchar(255) default NULL,
  `DESCRIPTION` varchar(255) default NULL,
  `CAPACITY` varchar(255) default NULL,
  `PURPOSE` varchar(255) default NULL,
  `TYPE` varchar(255) default NULL,
  `SPEED` varchar(255) default NULL,
  `NUMSLOTS` smallint(6) default NULL,
  PRIMARY KEY  (`HARDWARE_ID`,`ID`),
  KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `memories`
--


-- --------------------------------------------------------

--
-- Structure de la table `modems`
--

CREATE TABLE IF NOT EXISTS `modems` (
  `ID` int(11) NOT NULL auto_increment,
  `HARDWARE_ID` int(11) NOT NULL default '0',
  `NAME` varchar(255) default NULL,
  `MODEL` varchar(255) default NULL,
  `DESCRIPTION` varchar(255) default NULL,
  `TYPE` varchar(255) default NULL,
  PRIMARY KEY  (`HARDWARE_ID`,`ID`),
  KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `modems`
--


-- --------------------------------------------------------

--
-- Structure de la table `monitors`
--

CREATE TABLE IF NOT EXISTS `monitors` (
  `ID` int(11) NOT NULL auto_increment,
  `HARDWARE_ID` int(11) NOT NULL default '0',
  `MANUFACTURER` varchar(255) default NULL,
  `CAPTION` varchar(255) default NULL,
  `DESCRIPTION` varchar(255) default NULL,
  `TYPE` varchar(255) default NULL,
  `SERIAL` varchar(255) default NULL,
  PRIMARY KEY  (`HARDWARE_ID`,`ID`),
  KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `monitors`
--


-- --------------------------------------------------------

--
-- Structure de la table `netmap`
--

CREATE TABLE IF NOT EXISTS `netmap` (
  `IP` varchar(15) NOT NULL default '',
  `MAC` varchar(17) NOT NULL default '',
  `MASK` varchar(15) NOT NULL default '',
  `NETID` varchar(15) NOT NULL default '',
  `DATE` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `NAME` varchar(255) default NULL,
  PRIMARY KEY  (`MAC`),
  KEY `IP` (`IP`),
  KEY `NETID` (`NETID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `netmap`
--


-- --------------------------------------------------------

--
-- Structure de la table `networks`
--

CREATE TABLE IF NOT EXISTS `networks` (
  `ID` int(11) NOT NULL auto_increment,
  `HARDWARE_ID` int(11) NOT NULL default '0',
  `DESCRIPTION` varchar(255) default NULL,
  `TYPE` varchar(255) default NULL,
  `TYPEMIB` varchar(255) default NULL,
  `SPEED` varchar(255) default NULL,
  `MACADDR` varchar(255) default NULL,
  `STATUS` varchar(255) default NULL,
  `IPADDRESS` varchar(255) default NULL,
  `IPMASK` varchar(255) default NULL,
  `IPGATEWAY` varchar(255) default NULL,
  `IPSUBNET` varchar(255) default NULL,
  `IPDHCP` varchar(255) default NULL,
  PRIMARY KEY  (`HARDWARE_ID`,`ID`),
  KEY `MACADDR` (`MACADDR`),
  KEY `IPSUBNET` (`IPSUBNET`),
  KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `networks`
--


-- --------------------------------------------------------

--
-- Structure de la table `network_devices`
--

CREATE TABLE IF NOT EXISTS `network_devices` (
  `ID` int(11) NOT NULL auto_increment,
  `DESCRIPTION` varchar(255) default NULL,
  `TYPE` varchar(255) default NULL,
  `MACADDR` varchar(255) default NULL,
  `USER` varchar(255) default NULL,
  PRIMARY KEY  (`ID`),
  KEY `MACADDR` (`MACADDR`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `network_devices`
--


-- --------------------------------------------------------

--
-- Structure de la table `operators`
--

CREATE TABLE IF NOT EXISTS `operators` (
  `ID` varchar(255) NOT NULL default '',
  `FIRSTNAME` varchar(255) default NULL,
  `LASTNAME` varchar(255) default NULL,
  `PASSWD` varchar(50) default NULL,
  `ACCESSLVL` int(11) default NULL,
  `COMMENTS` text,
  PRIMARY KEY  (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `operators`
--

INSERT INTO `operators` VALUES('admin', 'admin', 'admin', 'admin', 1, 'Default administrator account');

-- --------------------------------------------------------

--
-- Structure de la table `ports`
--

CREATE TABLE IF NOT EXISTS `ports` (
  `ID` int(11) NOT NULL auto_increment,
  `HARDWARE_ID` int(11) NOT NULL default '0',
  `TYPE` varchar(255) default NULL,
  `NAME` varchar(255) default NULL,
  `CAPTION` varchar(255) default NULL,
  `DESCRIPTION` varchar(255) default NULL,
  PRIMARY KEY  (`HARDWARE_ID`,`ID`),
  KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `ports`
--


-- --------------------------------------------------------

--
-- Structure de la table `printers`
--

CREATE TABLE IF NOT EXISTS `printers` (
  `ID` int(11) NOT NULL auto_increment,
  `HARDWARE_ID` int(11) NOT NULL default '0',
  `NAME` varchar(255) default NULL,
  `DRIVER` varchar(255) default NULL,
  `PORT` varchar(255) default NULL,
  PRIMARY KEY  (`HARDWARE_ID`,`ID`),
  KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `printers`
--


-- --------------------------------------------------------

--
-- Structure de la table `regconfig`
--

CREATE TABLE IF NOT EXISTS `regconfig` (
  `ID` int(11) NOT NULL auto_increment,
  `NAME` varchar(255) default NULL,
  `REGTREE` int(11) default NULL,
  `REGKEY` text,
  `REGVALUE` varchar(255) default NULL,
  PRIMARY KEY  (`ID`),
  KEY `NAME` (`NAME`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `regconfig`
--


-- --------------------------------------------------------

--
-- Structure de la table `registry`
--

CREATE TABLE IF NOT EXISTS `registry` (
  `ID` int(11) NOT NULL auto_increment,
  `HARDWARE_ID` int(11) NOT NULL default '0',
  `NAME` varchar(255) default NULL,
  `REGVALUE` varchar(255) default NULL,
  PRIMARY KEY  (`HARDWARE_ID`,`ID`),
  KEY `NAME` (`NAME`),
  KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `registry`
--


-- --------------------------------------------------------

--
-- Structure de la table `slots`
--

CREATE TABLE IF NOT EXISTS `slots` (
  `ID` int(11) NOT NULL auto_increment,
  `HARDWARE_ID` int(11) NOT NULL default '0',
  `NAME` varchar(255) default NULL,
  `DESCRIPTION` varchar(255) default NULL,
  `DESIGNATION` varchar(255) default NULL,
  `PURPOSE` varchar(255) default NULL,
  `STATUS` varchar(255) default NULL,
  `PSHARE` tinyint(4) default NULL,
  PRIMARY KEY  (`HARDWARE_ID`,`ID`),
  KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `slots`
--


-- --------------------------------------------------------

--
-- Structure de la table `softwares`
--

CREATE TABLE IF NOT EXISTS `softwares` (
  `ID` int(11) NOT NULL auto_increment,
  `HARDWARE_ID` int(11) NOT NULL default '0',
  `PUBLISHER` varchar(255) default NULL,
  `NAME` varchar(255) default NULL,
  `VERSION` varchar(255) default NULL,
  `FOLDER` text,
  `COMMENTS` text,
  `FILENAME` varchar(255) default NULL,
  `FILESIZE` int(11) default '0',
  `SOURCE` int(11) default NULL,
  PRIMARY KEY  (`HARDWARE_ID`,`ID`),
  KEY `NAME` (`NAME`),
  KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `softwares`
--


-- --------------------------------------------------------

--
-- Structure de la table `sounds`
--

CREATE TABLE IF NOT EXISTS `sounds` (
  `ID` int(11) NOT NULL auto_increment,
  `HARDWARE_ID` int(11) NOT NULL default '0',
  `MANUFACTURER` varchar(255) default NULL,
  `NAME` varchar(255) default NULL,
  `DESCRIPTION` varchar(255) default NULL,
  PRIMARY KEY  (`HARDWARE_ID`,`ID`),
  KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `sounds`
--


-- --------------------------------------------------------

--
-- Structure de la table `storages`
--

CREATE TABLE IF NOT EXISTS `storages` (
  `ID` int(11) NOT NULL auto_increment,
  `HARDWARE_ID` int(11) NOT NULL default '0',
  `MANUFACTURER` varchar(255) default NULL,
  `NAME` varchar(255) default NULL,
  `MODEL` varchar(255) default NULL,
  `DESCRIPTION` varchar(255) default NULL,
  `TYPE` varchar(255) default NULL,
  `DISKSIZE` int(11) default NULL,
  PRIMARY KEY  (`HARDWARE_ID`,`ID`),
  KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `storages`
--


-- --------------------------------------------------------

--
-- Structure de la table `subnet`
--

CREATE TABLE IF NOT EXISTS `subnet` (
  `NETID` varchar(15) NOT NULL default '',
  `NAME` varchar(255) default NULL,
  `ID` int(11) default NULL,
  `MASK` varchar(255) default NULL,
  PRIMARY KEY  (`NETID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

--
-- Contenu de la table `subnet`
--


-- --------------------------------------------------------

--
-- Structure de la table `videos`
--

CREATE TABLE IF NOT EXISTS `videos` (
  `ID` int(11) NOT NULL auto_increment,
  `HARDWARE_ID` int(11) NOT NULL default '0',
  `NAME` varchar(255) default NULL,
  `CHIPSET` varchar(255) default NULL,
  `MEMORY` varchar(255) default NULL,
  `RESOLUTION` varchar(255) default NULL,
  PRIMARY KEY  (`HARDWARE_ID`,`ID`),
  KEY `ID` (`ID`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Contenu de la table `videos`
--

